MONGOC_GRIDFS_FIND_WITH_OPTS(3)

NAME
mongoc_gridfs_find_with_opts - mongoc_gridfs_find_with_opts()

SYNOPSIS

mongoc_gridfs_file_list_t *
mongoc_gridfs_find_with_opts (mongoc_gridfs_t *gridfs,
                              const bson_t *filter,
                              const bson_t *opts) BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

•   gridfs: A mongoc_gridfs_t.

•   filter: A bson_t containing the query to execute.

•   opts: A bson_t query options, including sort order and which fields to return. Can be NULL.

DESCRIPTION

Finds all gridfs files matching filter. You can iterate the matched gridfs files with the resulting file list.

See mongoc_collection_find_with_opts for a description of the filter and opts parameters.

This function is considered a retryable read operation. Upon a transient error (a network error, errors due to replica set failover, etc.) the operation is safely retried once. If retryreads is false in the URI (see mongoc_uri_t) the retry behavior does not apply.

RETURNS

A newly allocated mongoc_gridfs_file_list_t that should be freed with mongoc_gridfs_file_list_destroy() when no longer in use.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc